bio-0.5.2: A bioinformatics library

Safe Haskell | Safe-Infered

Bio.Alignment.PSL

Description

This models the PSL format used by e.g. the alignment tool BLAT. It is a simple, textual representation of (spliced) alignments, with tab-separated fields.

See http:genome.ucsc.eduFAQFAQformat#format2 for details.

# Documentation

data PSL

Constructors

PSL |

Fields

match :: Int
mismatch :: Int
repmatch :: Int
ncount :: Int
qgapcount :: Int
qgaplength :: Int
tgapcount :: Int
tgaplength :: Int
strand :: ByteString
qname :: ByteString
qsize :: Int
qstart :: Int
qend :: Int
tname :: ByteString
tsize :: Int
tstart :: Int
tend :: Int
blockcount :: Int
blocksizes :: [Int]
qstarts :: [Int]
tstarts :: [Int]

Instances

Eq PSL |
Show PSL |

readPSL :: FilePath -> IO [PSL]

writePSL :: FilePath -> [PSL] -> IO ()

parsePSL :: ByteString -> [PSL]

unparsePSL :: [PSL] -> ByteString

pslHeader :: ByteString